package org.springblade.person.feign;

import org.springblade.person.entity.CorrectionalStaff;
import org.springblade.person.vo.CorrectionalStaffVO;
import org.springframework.stereotype.Component;
import javax.validation.Valid;
import java.util.List;

@Component
public class CorrectionalStaffClientFallback implements ICorrectionalStaffClient {
            /**
         * 详情
         */
        @Override
        public CorrectionalStaffVO detail(CorrectionalStaff correctionalStaff) {
            return null;
        }

        /**
         * 查询 
         */
        @Override
        public List<CorrectionalStaffVO> list(CorrectionalStaff correctionalStaff) {
            return null;
        }

    

        /**
         * 新增 
         */
        @Override
        public boolean save( CorrectionalStaff correctionalStaff) {
            return false;
        }

        /**
         * 修改 
         */
        @Override
        public boolean update( CorrectionalStaff correctionalStaff) {
            return false;
        }

        /**
         * 新增或修改 
         */
        @Override
        public boolean submit( CorrectionalStaff correctionalStaff) {
            return false;
        }

    
        /**
         * 删除 
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
